SHA256SUM(1)

BEZEICHNUNG
sha256sum - SHA256-Prüfsummen berechnen und überprüfen

ÜBERSICHT
sha256sum [OPTION]… [DATEI]…

BESCHREIBUNG

SHA256-Prüfsummen (256 Bit) ausgeben oder überprüfen.

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

-b, --binary
    liest im Binärmodus.

-c, --check
    liest Prüfsummen aus der DATEI und überprüft sie.

--tag
    erstellt eine Prüfsumme im BSD-Stil.

-t, --text
    liest im Textmodus (Voreinstellung).

-z, --zero
    schließt jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs ab und deaktiviert Dateinamenmaskierung.

  Die folgenden fünf Optionen sind nur beim Überprüfen sinnvoll:

--ignore-missing
    meldet keinen Fehlschlag oder Status für fehlende Dateien.

--quiet
    gibt nicht für jede erfolgreich geprüfte Datei OK aus.

--status
    gibt nichts aus, der Statuscode zeigt Erfolg an.

--strict
    bricht bei ungeeignet formatierten Prüfsummenzeilen mit von 0 verschiedenem Fehlercode ab.

-w, --warn
    warnt bei ungeeignet formatierten Prüfsummenzeilen.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Die Summen werden wie in FIPS-180-2 beschrieben berechnet. Beim Überprüfen sollte die Eingabe eine frühere Ausgabe dieses Programms sein. Die normale Arbeitsweise ist es, eine Zeile mit Prüfsumme, einem Zeichen, das den Eingabemodus anzeigt (»*« für binär, Leerzeichen für Text oder wenn binär nicht von Bedeutung ist), und dem Namen jeder DATEI auszugeben.

Hinweis: Auf GNU-Systemen gibt es keinen Unterschied zwischen Binärmodus und Textmodus.

AUTOR
Geschrieben von Ulrich Drepper, Scott Miller und David Madore.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
cksum(1)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/sha256sum>
oder lokal via: info '(coreutils) sha2 utilities'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).